%define anolis_release 1
%undefine _package_note_flags

Name:           ocaml-libvirt
Version:        0.6.1.7
Release:        %{anolis_release}%{?dist}
Summary:        OCaml binding for libvirt
License:        LGPLv2+

URL:            http://libvirt.org/ocaml/
# The tarball was not uploaded to the website (https://download.libvirt.org/ocaml)
# at the time of packaging so I built this using "make dist" in the source repo.
Source0:        %{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  ocaml >= 3.10.0
BuildRequires:  ocaml-ocamldoc
BuildRequires:  ocaml-findlib-devel

BuildRequires:  libvirt-devel >= 0.2.1
BuildRequires:  perl-interpreter
BuildRequires:  gawk

%description
OCaml binding for libvirt.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

%build
# Parallel builds do not work.
unset MAKEFLAGS
%configure
make

%install
# These rules work if the library uses 'ocamlfind install' to install itself.
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
mkdir -p $RPM_BUILD_ROOT%{_bindir}
make install
%generate_compatibility_deps

%files
%doc COPYING.LIB
%{_libdir}/ocaml/libvirt
%ifarch %{ocaml_native_compiler}
%exclude %{_libdir}/ocaml/libvirt/*.a
%exclude %{_libdir}/ocaml/libvirt/*.cmxa
%exclude %{_libdir}/ocaml/libvirt/*.cmx
%endif
%exclude %{_libdir}/ocaml/libvirt/*.mli
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner
%dir %{abidir}
%{abidir}/dllmllibvirt.dump

%files devel
%doc COPYING.LIB README TODO.libvirt
%ifarch %{ocaml_native_compiler}
%{_libdir}/ocaml/libvirt/*.a
%{_libdir}/ocaml/libvirt/*.cmxa
%{_libdir}/ocaml/libvirt/*.cmx
%endif
%{_libdir}/ocaml/libvirt/*.mli

%files doc
%doc README

%changelog
* Wed Mar 22 2023 Yuanhong Peng <yummypeng@linux.alibaba.com> - 0.6.1.7-1
- Init from upstream
